package module

import (
	"fmt"

	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/recconf"
)

type User2ItemCustomFilterDao interface {
	Filter(uid UID, ids []*Item) (ret []*Item)
}

func NewUser2ItemCustomFilterDao(config recconf.FilterConfig) User2ItemCustomFilterDao {
	if config.DaoConf.AdapterType == recconf.DaoConf_Adapter_TableStore {
		return NewUser2ItemCustomFilterTableStoreDao(config)
	}

	panic(fmt.Sprintf("User2ItemCustomFilterDao:not found, name:%s", config.Name))
}
